
package com.glintt.at.dmis.ws.client;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.glintt.at.dmis.ws.client package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DmisWsSubmissionRequest_QNAME = new QName("http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", "DmisWsSubmissionRequest");
    private final static QName _DmisFileSubmission_QNAME = new QName("http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", "DmisFileSubmission");
    private final static QName _DmisWsSubmissionResponse_QNAME = new QName("http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", "DmisWsSubmissionResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.glintt.at.dmis.ws.client
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DmisFileSubmissionType }
     * 
     */
    public DmisFileSubmissionType createDmisFileSubmissionType() {
        return new DmisFileSubmissionType();
    }

    /**
     * Create an instance of {@link DmisWsSubmissionRequestType }
     * 
     */
    public DmisWsSubmissionRequestType createDmisWsSubmissionRequestType() {
        return new DmisWsSubmissionRequestType();
    }

    /**
     * Create an instance of {@link DmisWsSubmissionResponseType }
     * 
     */
    public DmisWsSubmissionResponseType createDmisWsSubmissionResponseType() {
        return new DmisWsSubmissionResponseType();
    }

    /**
     * Create an instance of {@link DeclarationLinesListType }
     * 
     */
    public DeclarationLinesListType createDeclarationLinesListType() {
        return new DeclarationLinesListType();
    }

    /**
     * Create an instance of {@link DeclarationLinesBlockType }
     * 
     */
    public DeclarationLinesBlockType createDeclarationLinesBlockType() {
        return new DeclarationLinesBlockType();
    }

    /**
     * Create an instance of {@link TaxBaseType }
     * 
     */
    public TaxBaseType createTaxBaseType() {
        return new TaxBaseType();
    }

    /**
     * Create an instance of {@link ReturnInfoType }
     * 
     */
    public ReturnInfoType createReturnInfoType() {
        return new ReturnInfoType();
    }

    /**
     * Create an instance of {@link VatNumberInfoType }
     * 
     */
    public VatNumberInfoType createVatNumberInfoType() {
        return new VatNumberInfoType();
    }

    /**
     * Create an instance of {@link TaxChargeHolderType }
     * 
     */
    public TaxChargeHolderType createTaxChargeHolderType() {
        return new TaxChargeHolderType();
    }

    /**
     * Create an instance of {@link DmisRegistrationDataType }
     * 
     */
    public DmisRegistrationDataType createDmisRegistrationDataType() {
        return new DmisRegistrationDataType();
    }

    /**
     * Create an instance of {@link DeclarationLineType }
     * 
     */
    public DeclarationLineType createDeclarationLineType() {
        return new DeclarationLineType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DmisWsSubmissionRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", name = "DmisWsSubmissionRequest")
    public JAXBElement<DmisWsSubmissionRequestType> createDmisWsSubmissionRequest(DmisWsSubmissionRequestType value) {
        return new JAXBElement<DmisWsSubmissionRequestType>(_DmisWsSubmissionRequest_QNAME, DmisWsSubmissionRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DmisFileSubmissionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", name = "DmisFileSubmission")
    public JAXBElement<DmisFileSubmissionType> createDmisFileSubmission(DmisFileSubmissionType value) {
        return new JAXBElement<DmisFileSubmissionType>(_DmisFileSubmission_QNAME, DmisFileSubmissionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DmisWsSubmissionResponseType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://servicos.portaldasfinancas.gov.pt/dmis/dmisService", name = "DmisWsSubmissionResponse")
    public JAXBElement<DmisWsSubmissionResponseType> createDmisWsSubmissionResponse(DmisWsSubmissionResponseType value) {
        return new JAXBElement<DmisWsSubmissionResponseType>(_DmisWsSubmissionResponse_QNAME, DmisWsSubmissionResponseType.class, null, value);
    }

}
