
package com.glintt.at.dmis.ws.client;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Montante correspondente ao valor do imposto
 * 
 * <p>Java class for DeclarationLineType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeclarationLineType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="LineId" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}NumberPositiveMax9"/>
 *         &lt;element name="TaxChargeHolder" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}TaxChargeHolderType" minOccurs="0"/>
 *         &lt;element name="TaxCode" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}TextMandatoryMax10"/>
 *         &lt;element name="TerritorialConstituencyCode">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="C"/>
 *               &lt;enumeration value="A"/>
 *               &lt;enumeration value="M"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="TerritorialityCode">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="1"/>
 *               &lt;enumeration value="2"/>
 *               &lt;enumeration value="3"/>
 *               &lt;enumeration value="4"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="OperationTypeCode">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}short">
 *               &lt;pattern value="\d{1,2}"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="OperationPerformedByRepresentative" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="TaxBase" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}TaxBaseType"/>
 *         &lt;element name="TaxAmount" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}NonNegativeMonetaryType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeclarationLineType", propOrder = {
    "lineId",
    "taxChargeHolder",
    "taxCode",
    "territorialConstituencyCode",
    "territorialityCode",
    "operationTypeCode",
    "operationPerformedByRepresentative",
    "taxBase",
    "taxAmount"
})
public class DeclarationLineType {

    @XmlElement(name = "LineId")
    protected int lineId;
    @XmlElement(name = "TaxChargeHolder")
    protected TaxChargeHolderType taxChargeHolder;
    @XmlElement(name = "TaxCode", required = true)
    protected String taxCode;
    @XmlElement(name = "TerritorialConstituencyCode", required = true)
    protected String territorialConstituencyCode;
    @XmlElement(name = "TerritorialityCode", required = true)
    protected String territorialityCode;
    @XmlElement(name = "OperationTypeCode")
    protected short operationTypeCode;
    @XmlElement(name = "OperationPerformedByRepresentative")
    protected boolean operationPerformedByRepresentative;
    @XmlElement(name = "TaxBase", required = true)
    protected TaxBaseType taxBase;
    @XmlElement(name = "TaxAmount")
    protected BigDecimal taxAmount;

    /**
     * Gets the value of the lineId property.
     * 
     */
    public int getLineId() {
        return lineId;
    }

    /**
     * Sets the value of the lineId property.
     * 
     */
    public void setLineId(int value) {
        this.lineId = value;
    }

    /**
     * Gets the value of the taxChargeHolder property.
     * 
     * @return
     *     possible object is
     *     {@link TaxChargeHolderType }
     *     
     */
    public TaxChargeHolderType getTaxChargeHolder() {
        return taxChargeHolder;
    }

    /**
     * Sets the value of the taxChargeHolder property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaxChargeHolderType }
     *     
     */
    public void setTaxChargeHolder(TaxChargeHolderType value) {
        this.taxChargeHolder = value;
    }

    /**
     * Gets the value of the taxCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaxCode() {
        return taxCode;
    }

    /**
     * Sets the value of the taxCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaxCode(String value) {
        this.taxCode = value;
    }

    /**
     * Gets the value of the territorialConstituencyCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerritorialConstituencyCode() {
        return territorialConstituencyCode;
    }

    /**
     * Sets the value of the territorialConstituencyCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerritorialConstituencyCode(String value) {
        this.territorialConstituencyCode = value;
    }

    /**
     * Gets the value of the territorialityCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerritorialityCode() {
        return territorialityCode;
    }

    /**
     * Sets the value of the territorialityCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerritorialityCode(String value) {
        this.territorialityCode = value;
    }

    /**
     * Gets the value of the operationTypeCode property.
     * 
     */
    public short getOperationTypeCode() {
        return operationTypeCode;
    }

    /**
     * Sets the value of the operationTypeCode property.
     * 
     */
    public void setOperationTypeCode(short value) {
        this.operationTypeCode = value;
    }

    /**
     * Gets the value of the operationPerformedByRepresentative property.
     * 
     */
    public boolean isOperationPerformedByRepresentative() {
        return operationPerformedByRepresentative;
    }

    /**
     * Sets the value of the operationPerformedByRepresentative property.
     * 
     */
    public void setOperationPerformedByRepresentative(boolean value) {
        this.operationPerformedByRepresentative = value;
    }

    /**
     * Gets the value of the taxBase property.
     * 
     * @return
     *     possible object is
     *     {@link TaxBaseType }
     *     
     */
    public TaxBaseType getTaxBase() {
        return taxBase;
    }

    /**
     * Sets the value of the taxBase property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaxBaseType }
     *     
     */
    public void setTaxBase(TaxBaseType value) {
        this.taxBase = value;
    }

    /**
     * Gets the value of the taxAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    /**
     * Sets the value of the taxAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setTaxAmount(BigDecimal value) {
        this.taxAmount = value;
    }

}
