
package com.glintt.at.dmis.ws.client;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for DmisRegistrationDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DmisRegistrationDataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmittedDeclarationLinesBlocksQuantity" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}NumberPositiveMax5"/>
 *         &lt;element name="NotSubmittedDeclarationLinesBlocksQuantity" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}NumberPositiveMax5" minOccurs="0"/>
 *         &lt;element name="DmisRegistrationID" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}NumberPositiveMax13" minOccurs="0"/>
 *         &lt;element name="DmisRegistrationTimeStamp" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="TaxPaymentReference" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}PaymentRefType" minOccurs="0"/>
 *         &lt;element name="TaxPaymentAmount" type="{http://servicos.portaldasfinancas.gov.pt/dmis/dmisService}PositiveMonetaryType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DmisRegistrationDataType", propOrder = {
    "submittedDeclarationLinesBlocksQuantity",
    "notSubmittedDeclarationLinesBlocksQuantity",
    "dmisRegistrationID",
    "dmisRegistrationTimeStamp",
    "taxPaymentReference",
    "taxPaymentAmount"
})
public class DmisRegistrationDataType {

    @XmlElement(name = "SubmittedDeclarationLinesBlocksQuantity")
    protected int submittedDeclarationLinesBlocksQuantity;
    @XmlElement(name = "NotSubmittedDeclarationLinesBlocksQuantity")
    protected Integer notSubmittedDeclarationLinesBlocksQuantity;
    @XmlElement(name = "DmisRegistrationID")
    protected Long dmisRegistrationID;
    @XmlElement(name = "DmisRegistrationTimeStamp")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dmisRegistrationTimeStamp;
    @XmlElement(name = "TaxPaymentReference")
    protected Long taxPaymentReference;
    @XmlElement(name = "TaxPaymentAmount")
    protected BigDecimal taxPaymentAmount;

    /**
     * Gets the value of the submittedDeclarationLinesBlocksQuantity property.
     * 
     */
    public int getSubmittedDeclarationLinesBlocksQuantity() {
        return submittedDeclarationLinesBlocksQuantity;
    }

    /**
     * Sets the value of the submittedDeclarationLinesBlocksQuantity property.
     * 
     */
    public void setSubmittedDeclarationLinesBlocksQuantity(int value) {
        this.submittedDeclarationLinesBlocksQuantity = value;
    }

    /**
     * Gets the value of the notSubmittedDeclarationLinesBlocksQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getNotSubmittedDeclarationLinesBlocksQuantity() {
        return notSubmittedDeclarationLinesBlocksQuantity;
    }

    /**
     * Sets the value of the notSubmittedDeclarationLinesBlocksQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setNotSubmittedDeclarationLinesBlocksQuantity(Integer value) {
        this.notSubmittedDeclarationLinesBlocksQuantity = value;
    }

    /**
     * Gets the value of the dmisRegistrationID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getDmisRegistrationID() {
        return dmisRegistrationID;
    }

    /**
     * Sets the value of the dmisRegistrationID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setDmisRegistrationID(Long value) {
        this.dmisRegistrationID = value;
    }

    /**
     * Gets the value of the dmisRegistrationTimeStamp property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDmisRegistrationTimeStamp() {
        return dmisRegistrationTimeStamp;
    }

    /**
     * Sets the value of the dmisRegistrationTimeStamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDmisRegistrationTimeStamp(XMLGregorianCalendar value) {
        this.dmisRegistrationTimeStamp = value;
    }

    /**
     * Gets the value of the taxPaymentReference property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTaxPaymentReference() {
        return taxPaymentReference;
    }

    /**
     * Sets the value of the taxPaymentReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTaxPaymentReference(Long value) {
        this.taxPaymentReference = value;
    }

    /**
     * Gets the value of the taxPaymentAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getTaxPaymentAmount() {
        return taxPaymentAmount;
    }

    /**
     * Sets the value of the taxPaymentAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setTaxPaymentAmount(BigDecimal value) {
        this.taxPaymentAmount = value;
    }

}
